[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# ceil

Return the lowest integer number greater than or equal to argument

## Declaration

Source position: math.pp line 330

`function ceil(`
`x: float`
`):Integer;`

## Description

Ceil returns the lowest integer number greater than or equal to x. The absolute value of x should be less than maxint.

## Errors

If the asolute value of x is larger than maxint, an overflow error will occur.

## See also

floor |  | Return the largest integer smaller than or equal to argument

## Example

    Program Example7;

    { Program to demonstrate the Ceil function. }

    Uses math;

    begin
      Writeln(Ceil(-3.7)); // should be -3
      Writeln(Ceil(3.7));  // should be 4
      Writeln(Ceil(-4.0)); // should be -4
    end.

Documentation generated on: Feb 26 2014